%define build_release 0
%define build_beta 1
%define build_snapshot 2

%define isClean 1

%define isBuild %{build_release}

%define debug 0

%define release_number 2

%define build_for_ftp 0

%define strip_bin 0
%define final 0
%define rpm_clean 1

%define desktop_file 1
%define desktop_file_utils_version 0.2.93

%define ksysv 1
%define kuser 1
%define kpackage 0

%define nodisplay_desktop_files System/ksysv System/kuser System/kpackage

%define libtool 1

%ifarch s390 s390x
%define kisdndock 0
%else
%define kisdndock 1
%endif

%define kisdndock_version 1.0.1

%ifarch %{ix86}
%define dolilo 1
%else
%define dolilo 0
%endif

%define monolithic 1

Version: 3.0.5a
Name: kdeadmin
Summary: Administrative tools for KDE.
Icon: kde-icon.xpm
Epoch: 7
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL
Prefix: /usr

%if "%{isBuild}" == "%{build_release}"
%define release_name %{nil}
Release: %{release_number}
Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/distribution/tar/generic/source/%{name}-%{version}.tar.bz2
%endif

%if "%{isBuild}" == "%{build_beta}"
%define release_name beta1
Release: 0.%{release_name}.%{release_number}
Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/distribution/tar/generic/source/%{name}-%{release_name}.tar.bz2
%endif

%if "%{isBuild}" == "%{build_snapshot}"
%define release_name 20020807
Release: 0.%{release_name}cvs.%{release_number}
Source: cvs://cvs.kde.org/%{name}-%{release_name}.tar.bz2
%endif

%if %{build_for_ftp}
ExclusiveArch: %{ix86}
%endif

Source1: kisdndock-%{kisdndock_version}.tar.bz2
Source2: kisdndock.pam
Source4: kwuftpd.pam
Source5: kwuftpd.pamd
Source6: kuser.pam
Source7: kuser.pamd
Source8: kpackage.pam
Source9: kpackage.pamd
Source10: kpackagerc
Source900: gccver.c

Patch1: kdeadmin-2.1-kcron-workaround.patch
Patch2: kdeadmin-2.2-kuserconfig.patch
Patch3: kdeadmin-3.0.0-kernelpath.patch
Patch4: kisdndock-automake15.patch
Patch5: kdeadmin-3.0.2-desktop.patch
Patch6: kdeadmin-3.0.2-kuser-pam.patch

Prereq: /sbin/ldconfig

Requires: kdelibs >= %{version}
Requires: usermode

BuildPrereq: qt-devel >= 3.0.5
BuildPrereq: zlib-devel
BuildPrereq: XFree86-devel
BuildPrereq: kdelibs-devel >= 3.0.3
BuildPrereq: libjpeg-devel
BuildPrereq: libpng-devel
BuildPrereq: rpm-devel
BuildPrereq: bzip2-devel
BuildPrereq: perl

%if %{desktop_file}
BuildPrereq: desktop-file-utils >= %{desktop_file_utils_version}
%endif

%description
The kdeadmin package includes administrative tools for the K Desktop
Environment (KDE), including kdat, and kwuftpd.

%package kcron
Group: User Interface/Desktops
Summary: Crontab editor for KDE
Obsoletes: kdeadmin

%description kcron
KCron is a crontab editor for KDE - it helps you make your system run
commands periodically.

%package kdat
Group: User Interface/Desktops
Summary: Tape backup tool for KDE
Obsoletes: kdeadmin

%description kdat
KDat is a KDE application for controlling tape backups.

%package kpackage
Group: User Interface/Desktops
Summary: KDE package manager
Obsoletes: kpackage kdeadmin
Requires: usermode, pam

%description kpackage
KPackage is a graphical frontend for RPM and other package managers.

%package ksysv
Group: User Interface/Desktops
Summary: System V startup editor
Obsoletes: kdeadmin

%description ksysv
KSysV is a graphical frontend for configuring your runlevels (system
startup/shutdown sequence).

%package kuser
Group: User Interface/Desktops
Summary: Frontend for configuring users and user groups
Requires: usermode, pam
Obsoletes: kdeadmin

%description kuser
KUser is a graphical frontend for managing the users and user groups on
your system.

%package kwuftpd
Group: User Interface/Desktops
Summary: Graphical interface for configuring wu-ftpd
Requires: usermode, pam
Obsoletes: kdeadmin

%description kwuftpd
KWuftpd is a graphical frontend for configuring the wu-ftpd ftp server.

%package kcmlinuz
Group: User Interface/Desktops
Summary: Linux kernel configurator for KDE
Obsoletes: kdeadmin

%description kcmlinuz
kcmlinuz is a graphical frontend for creating configuration files for compiling
kernels.

%package lilo
Group: User Interface/Desktops
Summary: Graphical frontend for configuring the LILO bootloader
Requires: lilo 
Obsoletes: kdeadmin

%description lilo
kdeadmin-lilo is a KDE frontend for configuring the LILO bootloader.

%package kisdndock
Group: User Interface/Desktops
Summary: KDE dock application for ISDN
Requires: isdn4k-utils, redhat-config-network

%description kisdndock
kisdndock is a dock application for managing ISDN connections.

%prep
rm -rf $RPM_BUILD_ROOT

%if "%{isBuild}" == "%{build_release}"
%setup -q
%else
%setup -q -n %{name}-%{version}-%{release_name}
%endif

rm -rf secpolicy
%patch1 -p1 -b .kcron
%patch2 -p1 -b .kuserconfig
%patch3 -p1 -b .kernelpath
%patch5 -p1
%patch6 -p1 -b .kuser_pam

%if !%{kpackage}
echo 'DO_NOT_COMPILE="$DO_NOT_COMPILE kpackage"' >kpackage/configure.in.in
%endif

%if !%{ksysv}
echo 'DO_NOT_COMPILE="$DO_NOT_COMPILE ksysv"' >ksys/configure.in.in
%endif

%if !%{kuser}
echo 'DO_NOT_COMPILE="$DO_NOT_COMPILE kuser"' >kuser/configure.in.in
%endif

ln admin/lt* .

perl -pi -e "s,-lqt ,-lqt-mt ,g;s,-lqt$,-lqt-mt,g" ksysv/Makefile* lilo-config/qt/Makefile.*

# Workaround for legacy auto* tools
%if %{libtool}
[ -x /usr/bin/autoconf-2.5? ] && ln -s /usr/bin/autoconf-2.5? autoconf
[ -x /usr/bin/autoheader-2.5? ] && ln -s /usr/bin/autoheader-2.5? autoheader
[ -x /usr/bin/aclocal-1.5 ] && ln -s /usr/bin/aclocal-1.5 aclocal
[ -x /usr/bin/automake-1.5 ] && ln -s /usr/bin/automake-1.5 automake
export PATH=`pwd`:$PATH
make -f admin/Makefile.common cvs
%endif

%build
export KDEDIR=%{prefix}
export PATH=$KDEDIR/bin:$PATH
unset QTDIR || : ; . /etc/profile.d/qt.sh

FLAGS="-D_GNU_SOURCE $RPM_OPT_FLAGS -fno-use-cxa-atexit -fno-rtti -fno-exceptions -fno-check-new -DNDEBUG -DNO_DEBUG"
CFLAGS="$FLAGS" CXXFLAGS="$FLAGS" \
./configure \
   --with-rpm \
   --prefix=%{prefix} \
   --libdir=%{prefix}/%{_lib} \
   --enable-final \
   --with-private-groups

gcc -o gccver %{SOURCE900}
if [ "0`./gccver`" -lt 3001 ]; then
   find . -name Makefile |xargs perl -pi -e "s,^CXXLD\s*=.*,\$& -release gcc`./gccver -v`,g"
fi

make %{?_smp_mflags}

# kisdndock stuff
%if %{kisdndock}
tar jvxf %{SOURCE1}
pushd kisdndock-%{kisdndock_version}
patch -p2 < %{PATCH4}
rm -rf admin
ln -sf ../admin .

# Workaround for legacy auto* tools
[ -x /usr/bin/autoconf-2.5? ] && ln -s /usr/bin/autoconf-2.5? autoconf
[ -x /usr/bin/autoheader-2.5? ] && ln -s /usr/bin/autoheader-2.5? autoheader
[ -x /usr/bin/aclocal-1.5 ] && ln -s /usr/bin/aclocal-1.5 aclocal
[ -x /usr/bin/automake-1.5 ] && ln -s /usr/bin/automake-1.5 automake
export PATH=`pwd`:$PATH
make -f Makefile.cvs

CFLAGS="$FLAGS" CXXFLAGS="$FLAGS" \
./configure --prefix=%{prefix} \
            --libdir=%{prefix}/%{_lib} 

gcc -o gccver %{SOURCE900}
if [ "0`../gccver`" -lt 3001 ]; then
   find . -name Makefile |xargs perl -pi -e "s,^CXXLD\s*=.*,\$& -release gcc`./gccver -v`,g"
fi

make %{?_smp_mflags}
popd
%endif

%install
make install DESTDIR=$RPM_BUILD_ROOT

# don't use, just delete. Our own versions come later.
rm -rf $RPM_BUILD_ROOT/etc/pam.d $RPM_BUILD_ROOT/etc/security

%if %{kisdndock}
make -C kisdndock-%{kisdndock_version} install DESTDIR=$RPM_BUILD_ROOT transform=
mkdir -p $RPM_BUILD_ROOT%{prefix}/sbin \
         $RPM_BUILD_ROOT/etc/pam.d \
         $RPM_BUILD_ROOT/etc/security/console.apps

mv $RPM_BUILD_ROOT%{prefix}/bin/kisdndock \
   $RPM_BUILD_ROOT%{prefix}/sbin/

install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT/etc/pam.d/kisdndock

touch $RPM_BUILD_ROOT/etc/security/console.apps/kisdndock
pushd $RPM_BUILD_ROOT%{prefix}/bin
ln -fs consolehelper kisdndock
popd
%endif

# fix absolute symbolic links
mkdir -p $RPM_BUILD_ROOT%{_docdir}/HTML/en/common
pushd $RPM_BUILD_ROOT%{_docdir}/HTML/en
for i in kcron ksysv kuser kwuftpd ; do
   pushd $i
   ln -nfs ../common .
   popd
done
popd

# Put in some sane defaults
mkdir -p $RPM_BUILD_ROOT%{_datadir}/config
cat >$RPM_BUILD_ROOT%{_datadir}/config/kuserrc <<EOF
[template]
copySkel=true
createHomeDir=true
homeBase=/home
shell=/bin/bash
userPrivateGroup=true
EOF
cat >$RPM_BUILD_ROOT%{_datadir}/config/ksysvrc <<EOF
[Other Settings]
Configured=true
[Path Settings]
RunlevelPath=/etc/rc.d
ScriptPath=/etc/rc.d/init.d
[Runlevels]
Show Runlevels=0,1,2,3,4,5,6
EOF

# Run kwuftpd and kuser through consolehelper
mkdir -p $RPM_BUILD_ROOT/etc/security/console.apps \
         $RPM_BUILD_ROOT/etc/pam.d $RPM_BUILD_ROOT/usr/sbin

mv $RPM_BUILD_ROOT/usr/bin/kwuftpd $RPM_BUILD_ROOT/usr/bin/kuser \
   $RPM_BUILD_ROOT/usr/sbin

install -c -m 644 %{SOURCE4} $RPM_BUILD_ROOT/etc/security/console.apps/kwuftpd
install -c -m 644 %{SOURCE5} $RPM_BUILD_ROOT/etc/pam.d/kwuftpd
ln -s consolehelper $RPM_BUILD_ROOT/usr/bin/kwuftpd

install -c -m 644 %{SOURCE6} $RPM_BUILD_ROOT/etc/security/console.apps/kuser
install -c -m 644 %{SOURCE7} $RPM_BUILD_ROOT/etc/pam.d/kuser
ln -s consolehelper $RPM_BUILD_ROOT/usr/bin/kuser

%if %{kpackage}
install -c -m 644 %{SOURCE10} $RPM_BUILD_ROOT/usr/share/config
%endif

%if "%{nodisplay_desktop_files}" != ""
for i in %{nodisplay_desktop_files} ; do
   echo "NoDisplay=true" >> $RPM_BUILD_ROOT%{_datadir}/applnk/$i.desktop
done
%endif

%if %{desktop_file}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications

desktop-file-install \
   --vendor kde \
   --dir $RPM_BUILD_ROOT%{_datadir}/applications \
   --delete-original \
   --add-category "Application;System;X-Red-Hat-Base" \
   --copy-generic-name-to-name \
   $RPM_BUILD_ROOT%{_datadir}/applnk/System/kcron.desktop

desktop-file-install \
   --vendor kde \
   --dir $RPM_BUILD_ROOT%{_datadir}/applications \
   --delete-original \
   --add-category "Application;System;X-Red-Hat-Extra" \
   $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/kdat.desktop \
   $RPM_BUILD_ROOT%{_datadir}/applnk/System/kwuftpd.desktop

desktop-file-install \
   --vendor kde \
   --dir $RPM_BUILD_ROOT%{_datadir}/applications \
   --delete-original \
   --add-category "Application;System;X-Red-Hat-Extra" \
   --add-only-show-in KDE \
   $RPM_BUILD_ROOT%{_datadir}/applnk/System/kuser.desktop \
   $RPM_BUILD_ROOT%{_datadir}/applnk/System/ksysv.desktop

if /bin/ls $RPM_BUILD_ROOT%{_datadir}/applnk/Internet/kisdndock.desktop >& /dev/null ; then
   desktop-file-install \
     --vendor kde \
     --dir $RPM_BUILD_ROOT%{_datadir}/applications \
     --delete-original \
     --add-category "Application;Network;X-Red-Hat-Extra" \
     --add-only-show-in KDE \
     $RPM_BUILD_ROOT%{_datadir}/applnk/Internet/kisdndock.desktop
fi

for i in FileBrowsing Information LookNFeel Network Peripherals Personalization \
   PowerControl Sound System WebBrowsing; do
   case $i in
      FileBrowsing) catagory="X-KDE-FileBrowsing";;
      Databases) catagory="X-KDE-Database";;
      Help) catagory="X-KDE-Help";;
      Information) catagory="X-KDE-Information";;
      LookNFeel) catagory="X-KDE-LookNFeel";;
      Network) catagory="X-KDE-Network";;
      Peripherals) catagory="X-KDE-Peripherals";;
      Personalization) catagory="X-KDE-Personalization";;
      PowerControl) catagory="X-KDE-PowerControl";;
      Sound) catagory="X-KDE-Sound";;
      System) catagory="X-KDE-System";;
      WebBrowsing) catagory="X-KDE-WebBrowsing";;
   esac
   if /bin/ls $RPM_BUILD_ROOT%{_datadir}/applnk/Settings/$i/*.desktop >& /dev/null ; then
     desktop-file-install --vendor kde \
       --dir $RPM_BUILD_ROOT%{_datadir}/applications \
       --delete-original \
       --add-category "$catagory" \
       --add-only-show-in KDE \
       $RPM_BUILD_ROOT%{_datadir}/applnk/Settings/$i/*.desktop
   fi
done
%endif

%if ! %{kpackage}
rm -rf $RPM_BUILD_ROOT%{_datadir}/applnk/System/kpackage.desktop \
      $RPM_BUILD_ROOT%{_docdir}/HTML/en/kpackage
%endif

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
%if %{rpm_clean}
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}
%endif

%if %{monolithic}
%files
%else
%files kcron
%endif
%defattr(-,root,root)
%{_bindir}/kcron
%if %{desktop_file}
%{_datadir}/applications/*kcron.desktop
%else
%{_datadir}/applnk/System/kcron.desktop
%endif
%{_datadir}/icons/*/*/apps/kcron*
%doc %{_docdir}/HTML/en/kcron

%if %{kisdndock}
%if "%monolithic" == "0"
%files kisdndock
%defattr(-,root,root)
%endif
%config /etc/pam.d/kisdndock
%config /etc/security/console.apps/kisdndock
%{_sbindir}/kisdndock
%{_bindir}/kisdndock
%{_libdir}/libkcm_kisdndock*
%if "%{desktop_file}" == "1"
%{_datadir}/applications/*kisdndock.desktop
%else
%{_datadir}/applnk/Internet/kisdndock.desktop
%{_datadir}/applnk/Settings/Network/kcmkisdndock.desktop
%endif
%{_datadir}/icons/hicolor/16x16/apps/kisdndock.png
%{_datadir}/icons/kisdndock.png
%endif

%if "%monolithic" == "0"
%files kdat
%defattr(-,root,root)
%endif
%{_bindir}/kdat
%{_datadir}/apps/kdat
%if %{desktop_file}
%{_datadir}/applications/*kdat.desktop
%else
%{_datadir}/applnk/Utilities/kdat.desktop
%endif
%{_datadir}/icons/*/*/*/kdat.png
%doc %{_docdir}/HTML/en/kdat

%if %{kpackage}
%if "%{monolithic}" == "0"
%files kpackage
%defattr(-,root,root)
%endif
%config %{_datadir}/config/kpackagerc
%{_bindir}/kpackage
%{_sbindir}/kpackage
%{_datadir}/apps/kpackage
%if "%{desktop_file}" == "1"
%{_datadir}/applications/*kpackage.desktop
%else
%{_datadir}/applnk/System/kpackage.desktop
%endif
%{_datadir}/icons/*/*/apps/kpackage*
%{_datadir}/mimelnk/application/x-debian-package.desktop
%config(noreplace) /etc/pam.d/kpackage
%config(noreplace) /etc/security/console.apps/kpackage
%doc %{_docdir}/HTML/en/kpackage
%endif

%if %{ksysv}
%if "%{monolithic}" == "0"
%files ksysv
%defattr(-,root,root)
%endif
%config %{_datadir}/config/ksysvrc
%{_bindir}/ksysv
%{_datadir}/apps/ksysv
%if "%{desktop_file}" == "1"
%{_datadir}/applications/*ksysv.desktop
%else
%{_datadir}/applnk/System/ksysv.desktop
%endif
%{_datadir}/icons/*/*/apps/ksysv*
%{_datadir}/mimelnk/application/x-ksysv.desktop
%{_datadir}/mimelnk/text/x-ksysv-log.desktop
%{_datadir}/icons/*/*/actions/toggle_log.png
%doc %{_docdir}/HTML/en/ksysv
%endif

%if %{kuser}
%if "%{monolithic}" == "0"
%files kuser
%defattr(-,root,root)
%endif
%config %{_datadir}/config/kuserrc
%{_bindir}/kuser
%{_sbindir}/kuser
%{_datadir}/apps/kuser
%if "%{desktop_file}" == "1"
%{_datadir}/applications/*kuser.desktop
%else
%{_datadir}/applnk/System/kuser.desktop
%endif
%{_datadir}/icons/*/*/apps/kuser*
%config(noreplace) /etc/pam.d/kuser
%config(noreplace) /etc/security/console.apps/kuser
%doc %{_docdir}/HTML/en/kuser
%endif

%if ! %monolithic
%files kwuftpd
%defattr(-,root,root)
%endif
%{_bindir}/kwuftpd
%{_sbindir}/kwuftpd
%if "%{desktop_file}" == "1"
%{_datadir}/applications/*kwuftpd.desktop
%else
%{_datadir}/applnk/System/kwuftpd.desktop
%endif
%config(noreplace) /etc/pam.d/kwuftpd
%config(noreplace) /etc/security/console.apps/kwuftpd
%doc %{_docdir}/HTML/en/kwuftpd

%if ! %monolithic
%files kcmlinuz
%defattr(-,root,root)
%endif
%{_datadir}/apps/kcmlinuz
%if %{desktop_file}
%{_datadir}/applications/kde-linuz.desktop
%else
%{_datadir}/applnk/Settings/System/linuz.desktop
%endif
%{_libdir}/kde3/kcm_linuz*

%if %{dolilo}
%if "%monolithic" == "0"
%files lilo
%defattr(-,root,root)
%endif
%if "%{desktop_file}" == "1"
%{_datadir}/applications/kde-lilo.desktop
%else
%{_datadir}/applnk/Settings/System/lilo.desktop
%endif
%{_libdir}/kde3/kcm_lilo*
%endif

%changelog
* Wed Mar 12 2003 Than Ngo <than@redhat.com> 3.0.5a-2
- fix kuser bug for setting correct passwords, #83436

* Sun Dec 22 2002 Than Ngo <than@redhat.com> 3.0.5a-1
- update to 3.0.5a

* Sun Nov 10 2002 Than Ngo <than@redhat.com> 3.0.5-1
- update to 3.0.5

* Wed Nov  6 2002 Than Ngo <than@redhat.com> 3.0.4-2
- fix some build problems

* Tue Oct 15 2002 Than Ngo <than@redhat.com> 3.0.4-1
- 3.0.4
- cleanup specfile

* Fri Sep 13 2002 Than Ngo <than@redhat.com> 3.0.3-3.1
- Fixed to build on x86_64

* Thu Aug 22 2002 Bernhard Rosenkraenzer <bero@redhat.de> 3.0.3-3
- Fix kuser (#68879)

* Wed Aug 14 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- improve spec file to better exclude sub-packages

* Mon Aug 12 2002 Than Ngo <than@redhat.com> 3.0.3-1
- 3.0.3
- rebuild against new gcc

* Thu Aug  8 2002 Than Ngo <than@redhat.com> 3.0.2-4
- desktop file issues
- Added pam_timestamp support (bug #69862)

* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 3.0.2-3
- build using gcc-3.2-0.1

* Sat Jul 20 2002 Than Ngo <than@redhat.com> 3.0.2-2
- fix desktop files issue

* Wed Jul 10 2002 Than Ngo <than@redhat.com> 3.0.2-1
- 3.0.2
- use desktop-file-install

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri May 10 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.1-1
- 3.0.1
- Fix build with current automake
- Don't build kpackage until the rpm 4.1 API is finalized

* Tue Apr 16 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-4
- Rebuild

* Thu Apr 11 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-3
- Link everything against the correct qt

* Thu Mar 28 2002 Than Ngo <than@redhat.com> 3.0.0-2
- add missing shared libs
- exlude some stuff on s390/s390x

* Wed Mar 27 2002 Than Ngo <than@redhat.com> 3.0.0-1
- final

* Tue Mar  5 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020305.1
- Make splits a buildtime option (off by default) by request.

* Mon Feb 18 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020118.1
- Remove kapabilities, qmkbootdisk and kontrol-panel, they're separate packages
  these days

* Thu Jan 17 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020117.1
- Update
- Build with current kdelibs
- Run kpackage through consolehelper

* Sat Dec 15 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20011215.1
- Update
- Split package

* Thu Aug  9 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-2
- Get rid of the "Sources were not configured" warning at the first
  start of kuser
- The first normal user ID is 500, not 1001
- Run kwuftpd and kuser through consolehelper
- kontrol-panel 4.1.0; takes its desktop files from /etc/X11/sysconfig and
  /etc/X11/serverconfig and removes desktop files that aren't needed
  anymore
- Don't require mkbootdisk on ia64

* Mon Aug  6 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-1
- 2.2 final

* Tue Jul 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010724.1
- Add build dependency on fam-devel (#49081)
- Get rid of ia64 workaround

* Sun Jul 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010722.1
- Update
- Work around ia64 breakages

* Wed Jun 27 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010627.1
- Update
- Add build dependencies (#45153)
- Don't own /usr/lib/kde2, kdelibs already does

* Tue May 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.alpha2.1
- 2.2alpha2

* Fri Apr 20 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.alpha1.1
- 2.2alpha1

* Fri Mar 23 2001 Preston Brown <pbrown@redhat.com> 2.1.1-3
- secpolicy removed for now...broken and useless.

* Wed Mar 21 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1.1-2
- Fix an endless loop when switching kernels in lilo-config

* Tue Mar 20 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1.1-1
- 2.1.1
- clean up specfile

* Mon Mar 19 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1-8
- Don't crash when deleting a cronjob (#31999)

* Mon Mar 19 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1-7
- Fix ksysv defaults (#32000)

* Fri Mar 16 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix kuser defaults (#31847)

* Wed Feb 28 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix typo in kontrol-panel.desktop (#30001)
- Don't own standard directories
- Add Polnish translation to .desktop files from CVS

* Sun Feb 25 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add icons for lilo and wu-ftpd configuration in kontrol-panel
  (Bug #29347)

* Wed Feb 21 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to 2.1-respin

* Mon Feb 19 2001 Than Ngo <than@redhat.com>
- fixed dangling symlinks
- fixed kontrol-panel references lprngtool (bug #25477)
- update to 2.1

* Mon Feb  5 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Rebuild with lilo installed in the buildroot, we want
  lilo-config

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Mon Jan  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update
- Don't exclude ia64

* Sat Oct 28 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to KDE_2_0_BRANCH, now that the ".0 release" bugs are fixed

* Mon Oct 16 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final

* Tue Oct  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0

* Mon Oct  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new CVS

* Thu Aug 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild with new Qt

* Wed Aug 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.93
- fix up rpmv4 support

* Wed Jul 26 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Handle rpmv4 packages in kpackage (patch from Jeff Johnson <jbj@redhat.com>
  and myself)

* Fri Jul 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- some fixes to spec file

* Tue Jul 18 2000 Than Ngo <than@redhat.de>
- rebuilt against glibc-2.1.92-14, gcc-2.96-40

* Sun Jul 16 2000 Than Ngo <than@redhat.de>
- use gcc 2.96
- new snapshot
- FHS fixes

* Sun Jul  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use kernelcc
- new snapshot

* Tue Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- clean up specfile
- new snapshot
- ExcludeArch ia64 for now - kdelibs doesn't compile there
- kill ksysctrl for now - compiler breakages.

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- move it to /usr, where it belongs

* Fri Jan  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- work around install-strip breakage

* Fri Oct 22 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- 2.0 snapshot
